package com.clx.performance.feign;

import com.clx.performance.vo.pc.broker.TransportParam;
import com.msl.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name = "broker-service",configuration = PerformanceClientConfiguration.class,url = "${settlement.brokerHost}")
public interface BrokerFeign {

    /**
     * 运单同步
     */
    @RequestMapping(method = RequestMethod.POST, value = "/broker-service/open/transport/saveTransport")
    Result<String> saveTransport(@RequestBody TransportParam param);
}
